*** ../EzMenu.orig/EzME.c	Thu Feb  4 10:39:50 1993
--- EzME.c	Thu Feb  4 14:06:04 1993
***************
*** 43,52 ****
  #include <X11/IntrinsicP.h>
  #include <X11/StringDefs.h>
  
! #include <X11/Xaw/XawInit.h>
  #include "EzMEP.h"
  #include "EzMenuP.h"
! #include <X11/Xaw/Cardinals.h>
  
  #include <ctype.h>
  
--- 43,52 ----
  #include <X11/IntrinsicP.h>
  #include <X11/StringDefs.h>
  
! #include <X11/Xaw3d/XawInit.h>
  #include "EzMEP.h"
  #include "EzMenuP.h"
! #include <X11/Xaw3d/Cardinals.h>
  
  #include <ctype.h>
  
***************
*** 126,140 ****
      /* display_accelerator*/    NULL,
      /* extension	  */    NULL
    },{
!     /* Simple Menu Entry Fields */
!       
!     /* highlight */             Highlight,
!     /* unhighlight */           UnHighlight,
!     /* notify */		Notify,		
      /* extension */             NULL				
!   },
!   {
!     /* extension */             NULL				
    }
  };
  
--- 126,145 ----
      /* display_accelerator*/    NULL,
      /* extension	  */    NULL
    },{
!     /* SimpleMenuClass Entry Fields */
!     /* highlight          */	Highlight,
!     /* unhighlight        */	UnHighlight,
!     /* notify             */	Notify,		
!     /* extension          */	NULL				
!   },{
!     /* ThreeDClass fields */
!     /* shadowdraw         */	XtInheritXawSme3dShadowDraw
!   },{
!     /* BSBClass Fields */
      /* extension */             NULL				
!   },{
!     /* EzMEClass Fields */
!     /* extension          */	NULL				
    }
  };
  
***************
*** 169,177 ****
  #endif
  
  /* ARGSUSED */
! static void
! Initialize(request, new)
  Widget request, new;
  {
    EzMEWidget r = (EzMEWidget) request;
    EzMEWidget n = (EzMEWidget) new;
--- 174,184 ----
  #endif
  
  /* ARGSUSED */
! static void 
! Initialize(request, new, args, num_args)
  Widget request, new;
+ ArgList args;
+ Cardinal *num_args;
  {
    EzMEWidget r = (EzMEWidget) request;
    EzMEWidget n = (EzMEWidget) new;
***************
*** 196,204 ****
    }
  }
  
! static Boolean
! SetValues(current, request, new)
!      Widget current, request, new;
  {
    EzMEWidget c = (EzMEWidget) current;
    EzMEWidget r = (EzMEWidget) request;
--- 203,213 ----
    }
  }
  
! static Boolean 
! SetValues(current, request, new, args, num_args)
! Widget current, request, new;
! ArgList args;
! Cardinal *num_args;  
  {
    EzMEWidget c = (EzMEWidget) current;
    EzMEWidget r = (EzMEWidget) request;
*** ../EzMenu.orig/EzMEP.h	Thu Feb  4 10:39:51 1993
--- EzMEP.h	Thu Feb  4 10:53:39 1993
***************
*** 44,51 ****
   ***********************************************************************/
  
  #include <X11/RectObjP.h>
! #include <X11/Xaw/SmeP.h>
! #include <X11/Xaw/SmeBSBP.h>
  #include "EzME.h"
  
  /************************************************************
--- 44,51 ----
   ***********************************************************************/
  
  #include <X11/RectObjP.h>
! #include <X11/Xaw3d/SmeP.h>
! #include <X11/Xaw3d/SmeBSBP.h>
  #include "EzME.h"
  
  /************************************************************
***************
*** 55,63 ****
   ************************************************************/
  
  typedef struct _EzMEClassPart {
-   void (*highlight)();
-   void (*unhighlight)();
-   void (*notify)();	
    XtPointer extension;
  } EzMEClassPart;
  
--- 55,60 ----
***************
*** 65,71 ****
  typedef struct _EzMEClassRec {
      RectObjClassPart    rect_class;
      SmeClassPart	sme_class;
!     SmeBSBClassPart  sme_bsb_class;
      EzMEClassPart	ezme_class;
  } EzMEClassRec;
  
--- 62,69 ----
  typedef struct _EzMEClassRec {
      RectObjClassPart    rect_class;
      SmeClassPart	sme_class;
!     SmeThreeDClassPart	sme_threeD_class;
!     SmeBSBClassPart	sme_bsb_class;
      EzMEClassPart	ezme_class;
  } EzMEClassRec;
  
***************
*** 85,95 ****
   ****************************************************************/
  
  typedef struct _EzMERec {
!   ObjectPart     object;
!   RectObjPart    rectangle;
!   SmePart	 sme;
!   SmeBSBPart   sme_bsb;
!   EzMEPart	 ezme;
  } EzMERec;
  
  /************************************************************
--- 83,94 ----
   ****************************************************************/
  
  typedef struct _EzMERec {
!     ObjectPart		object;
!     RectObjPart		rectangle;
!     SmePart		sme;
!     SmeThreeDPart	sme_threeD;
!     SmeBSBPart		sme_bsb;
!     EzMEPart		ezme;
  } EzMERec;
  
  /************************************************************
*** ../EzMenu.orig/EzMenu.c	Thu Feb  4 10:39:51 1993
--- EzMenu.c	Thu Feb  4 14:06:26 1993
***************
*** 31,43 ****
  #include <X11/StringDefs.h>
  
  #include "EzMenuP.h"
! #include <X11/Xaw/SimpleMenu.h>
! #include <X11/Xaw/Sme.h>
  #include "EzME.h"
! #include <X11/Xaw/SmeBSB.h>
! #include <X11/Xaw/SmeLine.h>
  
! #include <X11/Xaw/Cardinals.h>
  
  #include <ctype.h>
  
--- 31,43 ----
  #include <X11/StringDefs.h>
  
  #include "EzMenuP.h"
! #include <X11/Xaw3d/SimpleMenu.h>
! #include <X11/Xaw3d/Sme.h>
  #include "EzME.h"
! #include <X11/Xaw3d/SmeBSB.h>
! #include <X11/Xaw3d/SmeLine.h>
  
! #include <X11/Xaw3d/Cardinals.h>
  
  #include <ctype.h>
  
***************
*** 114,119 ****
--- 114,125 ----
  
  WidgetClass ezMenuWidgetClass = (WidgetClass)&ezMenuClassRec;
  
+ #define ForAllChildren(smw, childP) \
+   for ( (childP) = (SmeObject *) (smw)->composite.children ; \
+         (childP) < (SmeObject *) ( (smw)->composite.children + \
+                  (smw)->composite.num_children ) ; \
+         (childP)++ )
+ 
  /************************************************************
   *
   * Semi-Public Functions.
***************
*** 356,364 ****
   */
  
  /* ARGSUSED */
! static void
! Initialize(request, new)
  Widget request, new;
  {
    EzMenuWidget newez = (EzMenuWidget) new;
    EzMenuWidget requestez = (EzMenuWidget) request;
--- 362,372 ----
   */
  
  /* ARGSUSED */
! static void 
! Initialize(request, new, args, num_args)
  Widget request, new;
+ ArgList args;
+ Cardinal *num_args;
  {
    EzMenuWidget newez = (EzMenuWidget) new;
    EzMenuWidget requestez = (EzMenuWidget) request;
***************
*** 412,419 ****
  
  /* ARGSUSED */
  static Boolean
! SetValues(current, request, new)
!      Widget current, request, new;
  {
    EzMenuWidget ez_old = (EzMenuWidget) current;
    EzMenuWidget ez_want = (EzMenuWidget) request;
--- 420,429 ----
  
  /* ARGSUSED */
  static Boolean
! SetValues(current, request, new, args, num_args)
! Widget current, request, new;
! ArgList args;
! Cardinal *num_args;
  {
    EzMenuWidget ez_old = (EzMenuWidget) current;
    EzMenuWidget ez_want = (EzMenuWidget) request;
*** ../EzMenu.orig/EzMenuP.h	Thu Feb  4 10:39:52 1993
--- EzMenuP.h	Thu Feb  4 10:44:02 1993
***************
*** 35,41 ****
  #ifndef _EzMenuP_h
  #define _EzMenuP_h
  
! #include <X11/Xaw/SimpleMenP.h>
  #include "EzMenu.h"
  
  typedef struct {
--- 35,41 ----
  #ifndef _EzMenuP_h
  #define _EzMenuP_h
  
! #include <X11/Xaw3d/SimpleMenP.h>
  #include "EzMenu.h"
  
  typedef struct {
